<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="shortcut icon" href="favicon.png"/>
  <title>DGTV BRO</title>
<script type='text/javascript' src='//urgentlyrightypast.com/43/85/cf/4385cf4c178e5e6bc4e56ceb0f2730dd.js'></script>
 <script type='text/javascript' src='//urgentlyrightypast.com/43/85/cf/4385cf4c178e5e6bc4e56ceb0f2730dd.js'></script>
<script disable-devtool-auto='' src='https://cdn.jsdelivr.net/npm/disable-devtool@latest'></script>
  <script src="https://cdn.jsdelivr.net/npm/clappr@latest/dist/clappr.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/dash-shaka-playback@latest/dist/dash-shaka-playback.min.js"></script>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/gh/clappr/clappr-level-selector-plugin@latest/dist/level-selector.min.js"></script>
</head>
<body bgcolor='black' style='margin:0'>
  <div id="player-wrapper"></div>

  <script type="text/javascript">
    document.addEventListener("DOMContentLoaded", function() {
      console.log('Clappr version ' + Clappr.version);
          
      // Mendapatkan nilai parameter search dari URL
      const urlParams = new URLSearchParams(window.location.search);
      const id = urlParams.get('id');
          
      // Data JSON untuk channel
      const channelData = {
        "PTV": {
          "url": "https://tv5.hoichoi24.com/1000/video.m3u8"
        },
        "Star_Sport2": {
          "url": "https://tv5.hoichoi24.com/1007/video.m3u8"
        },
        "PTV2": {
          "url": "http://175.107.244.52:4457/play/a08g/index.m3u8"
        },
        "TLTTV": {
          "url": "http://cdn.live247stream.com/thelight/tv/playlist.m3u8"
        },
        "BANGLATVEUROPE": {
          "url": "https://byphdgllyk.gpcdn.net/hls/banglatveurope/index.m3u8"
        },
       "Star1hin": {
          "url": "http://vo01.mohdtv.com:8880//live/hdtv0405dda140a6/15954034/55273.m3u8"
        },
        "Star1eng": {
          "url": "https://video-edge-916834-fra02.hls-video.net/live/english-720p-x264.m3u8"
        },
         "Star1en": {
          "url": "http://41.205.93.154/STARSPORTS1/index.m3u8"
        },
         "Star1": {
          "url": "http://94.154.156.130:8080/starsports1/index.m3u8"
        },
         "Star1h": {
          "url": "http://94.154.156.130:8080/starsportshindi/index.m3u8"
        },
         "Astro": {
          "url": "http://zx.rpstv.xyz:8081/us1new/astro1/chunks.m3u8?nimblesessionid=108683678&wmsAuthSign=c2VydmVyX3RpbWU9Ni8yMS8yMDI0IDk6NDc6MTEgQU0maGFzaF92YWx1ZT1mY2w4V0dQVWF1UmNrOVNnV2haQmVBPT0mdmFsaWRtaW51dGVzPTImaWQ9MTI5Ng=="
        },
        "Willow": {
          "url": "https://mm5-97.tinyuri.org/live/m4-1080p.m3u8"
        },
        "Willowxtrta": {
          "url": "https://beecdn.wadim77289.workers.dev/Willow_Extra_Live_TV/tracks-v1a1/mono.m3u8"
        },
        "SkyCric": {
          "url": "https://cdn-1.bdiptv24.line.pm/live/Sky/index.m3u8"
        },
       "SuperCric": {
          "url": "https://beecdn.wadim77289.workers.dev/SuperSport_Cricket_Live_TV/tracks-v1a1/mono.m3u8"
        },
        "Tensport": {
          "url": "http://176.119.29.52/live/00:1A:79:00:02:27/SN_1697176356/301.m3u8"
        },
        "NagorikTV": {
          "url": "https://tv5.hoichoi24.com/1102/index.m3u8"
        },
        "Skymain": {
          "url": "https://live.notebulk.xyz/7okqOybgpW8rCIak8rlISA/1718612018/uk_ssmain/tracks-v1a1/mono.m3u8"
        },
        "T-Sport": {
          "url": "https://tv5.hoichoi24.com/1024/index.m3u8"
        },
        "T-Sport1": {
          "url": "https://pc.sandipsitaula2023.com.np/TV/tsport1.m3u8"
        },
        
       "Sony-Liv": {
          "url": "https://dai.google.com/ssai/event/oZNVxALASVyYS4HMtTpRCw/master.m3u8"
        },
         "Sportstv": {
          "url": "https://live.sportstv.com.tr/hls/low/sportstv.m3u8"
        },
         "toffe3": {
          "url": "https://is.gd/Toffee_Match1_BN_By_Zubayer_Op.m3u8"
        },
         "Toffe1": {
          "url": "https://tv.durbinlive.pro/api/live/onlive.m3u8"
        },
          "Toffe2": {
          "url": "https://video-weaver.arn04.hls.live-video.net/v1/playlist/CsIFrL0MuS0Xzj-pzvdaAElTL5We1mpsBJXGoUX6jstw2usT1ZUf7BKm8Qf8H75Tx2LVkL5EezHGuNFpgb2hNkrmE-FRNwfVyItXQpEDktvJZl03w57x8U-wSAq93o3kAd3fpV3DX5-SzWSua-a3i2JaENijAoMVTxyUPCvheGamFVOOnH2W2YxeWfJ5W931gmPUgrC7_voy23mWPVQnX6koktxCZPl3HDaz7b4iXKEKQEpEI5xDESsjvSqzzSCK9q7QWl2kgxFL4QdSsZlHF6OK0awYRJ2XomkyKnvw-NNtUHWTMkxqPqOPslDqxWhPX5FvyCOoB9BfcRWS8W93e0M5D-R2dXGqaC24I89QyB37ILgfJLJAIPCk2Jyo0KNy5Yxc47A4Acsvugye9FFi4ISkEGJdUVFCh2dpe8M0upe2aEiRKM--bmvCSCtfkH11chaQeSkGJ8jPJrAKr0_MFqiJ9WYXityux1ziglaREBmDMwB7UrJT9xO2sDxMdWgAtSTo-tNeDmq-ct7CpoFBxcT77YPmxFDh3NPypDRkD2YZb9wZlP6-58QnrWwdUjO25Q47FQCJ4zNNMJhbZ3WL5CY5vQN5TwC28kKU2gQDyrM6uY31R0ja6kgdftHiok5eZDiJpwzOmJdtry_nPcqFvl2tJL3_W7RqPVmL1y8qYM2_2oeSj6pJnRO_xiizJmIFbHu-BNcXZ0YitNmgtyWNo7Jn_Jlgd95VO6_1dWix2mul_h52Ip-JRZq0LjqFdsPbbybgNOPCeTjtfd1b4Z5-WRre6pVWpczeND_oi7oNbjx-x0rqy44lv8mAjbkcMhOgaBDSrZmUcFwuJCutNa7M9mWxtZtb2DO1rqqt9EprkuFbb_9s-lCweuBkHvXydRE65UJIvP8p3TTDe8_Q1DEU3O5jkyj5KTKp-LITiuFwWM3qZTwsehoMgJYerIMnNSEbT43rIAEqCWV1LXdlc3QtMjDcCQ.m3u8"
        },
         "willowtv": {
          "url": "https://live.notebulk.xyz/5S38qeS5NyPXkytRbULcSw/1718961907/us_willow/index.m3u8"
        },
         "uk_premiersports1": {
          "url": "https://live.notebulk.xyz/eyBrBI4UY4oB11EqPSHQvw/1718948496/uk_premiersports1/index.m3u8"
        },
         "567": {
          "url": "http://145.239.5.177:8080/567/index.m3u8"
        },
        "SuperFootball": {
          "url": "http://145.239.5.177:8080/564/index.m3u8"
        },
        "Superlaliga": {
          "url": "http://145.239.5.177:8080/565/index.m3u8"
        },

      "566": {
          "url": "http://145.239.5.177:8080/566/index.m3u8"
        },
          "canalsport2": {
          "url": "http://145.239.5.177:8080/538/index.m3u8"
        },
         "bzbuz": {
          "url": "https://kora-sa.live/hls/0/stream.m3u8"
        },
         "FS1": {
          "url": "https://tgaadi-web.tech/tg_aadi.php/http://spr1.cloud.xxx-cdn.org:7293/8be1228d28529a50b9b9b43c2cc27a025b65b86198220a5e336417f605b7a1d06d54c2e4341ea0/index.m3u8?token=97b58ec4e5b75bef0335d96273b1422dcb1897b74d229d217e4114ee649e026bc56e2c9a1b4f56fcb29216aaccb56854f78d18383439f4accc883b17990eb465df15-7ff5ebf4c0d4421bfe7ae90bead89674"
        },
         "TVMAX": {
          "url": "https://bcovlive-a.akamaihd.net/74f665e9ff8447639d4de4b8b458d8ae/us-east-1/6058004209001/playlist_dvr.m3u8"
        },
         "04": {
          "url": "https://telecorporacion-es.cdn.vustreams.com/live/65b52a0a-415d-4686-8ef5-7a0b07b83992/live.isml/index.m3u8"
        },
        


        
      }
          
      // Memastikan id ada dalam data JSON dan Setup clappr player
      if (id && channelData[id]) {
        var player = new Clappr.Player({
          source: channelData[id].url,
          parentId: '#player-wrapper',
          plugins: [
            LevelSelector,
            DashShakaPlayback,
          ],
          width: '100%',
          height: '100%',
          hideMediaControl: true,
          autoPlay: true
        });
      } else {
          console.error('Channel not found!');
      }
    });
  </script>
</body>
</html>